Commit ae0c9ea8 authored by Erwan Croze's avatar Erwan Croze 👋🏻

Update readme, version, config files

parent fb4ea315
Pipeline #62 failed with stage
in 0 seconds
......@@ -7,7 +7,7 @@
<uses-sdk
android:minSdkVersion="16"
android:targetSdkVersion="27"/>
android:targetSdkVersion="28"/>
<uses-permission android:name="android.permission.INTERNET"/>
<uses-permission android:name="android.permission.RECORD_AUDIO"/>
......
......@@ -7,5 +7,5 @@
<uses-sdk
android:minSdkVersion="16"
android:targetSdkVersion="27"/>
android:targetSdkVersion="28"/>
</manifest>
......@@ -6,11 +6,11 @@ Linphone is a free VoIP and video softphone based on the SIP protocol.
## To build liblinphone for Android, you must:
1. Download the Android sdk (API 26.0.1 at max) with platform-tools and tools updated to latest revision, then add both 'tools' and 'platform-tools' folders in your path and the android-sdk folder to ANDROID_HOME environment variable.
1. Download the Android sdk (API 28.0.0 at max) with platform-tools and tools updated to latest revision, then add both 'tools' and 'platform-tools' folders in your path and the android-sdk folder to ANDROID_HOME environment variable.
2. Download the Android ndk (version r11c or 15) from google and add it to your path (no symlink !!!) and ANDROID_NDK environment variable.
2. Download the Android ndk (version 16) from google and add it to your path (no symlink !!!) and ANDROID_NDK environment variable.
3. Install _yasm_, _nasm_ (For OpenH224 support only), _python_, _pkg_config_ and _cmake(>=3.7)_.
3. Install _yasm_, _nasm_ (For OpenH224 support only), _python_, _pkg_config_ and _cmake(>=3.10)_.
* On 64 bits linux systems you'll need the _ia32-libs_ package.
* With the latest Debian (multiarch), you need this:
* `dpkg --add-architecture i386`
......@@ -67,11 +67,6 @@ You can speed up the compilation by using ccache (compiler cache, see [ccache.sa
To enable firebase in Linphone, just add your 'google-service.json' in project root, add your key at 'push_sender_id' and add 'firebase' at 'push_type' in 'res/values/non_localizable_custom.xml'
Be sure to have all services for Firebase in your 'AndroidManifest.xml'
## Google
To enable google push in Linphone, remove 'google-service.json' file if it exist, add your key at 'push_sender_id' and add 'google' at 'push_type' in 'res/values/non_localizable_custom.xml'
Be sure to have every permissions and services for GCM in your 'AndroidManifest.xml'
# TROUBLESHOOTING
If you encounter the following issue:
......
......@@ -78,8 +78,8 @@ excludePackage.add('**/LICENSE.txt')
android {
defaultConfig {
compileSdkVersion 26
buildToolsVersion "27.0.3"
compileSdkVersion 28
buildToolsVersion "28.0.0"
applicationId getPackageName()
multiDexEnabled true
......
......@@ -2,10 +2,10 @@
<manifest package="org.linphone.core"
xmlns:android="http://schemas.android.com/apk/res/android"
android:installLocation="auto"
android:versionCode="3320"
android:versionName="3.3.2">
android:versionCode="4001"
android:versionName="4.0.0">
<uses-sdk
android:minSdkVersion="16"
android:targetSdkVersion="26"/>
android:targetSdkVersion="28"/>
</manifest>
......@@ -72,8 +72,8 @@ android {
}
defaultConfig {
compileSdkVersion 26
buildToolsVersion "27.0.3"
compileSdkVersion 28
buildToolsVersion "28.0.0"
multiDexEnabled true
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment